Последние темы


Ошибки в Catalogfill 2.4.10

  • [2019-03-20 13:54:00] (ERROR in modProcessor::run @ /Applications/MAMP/htdocs/work/catalog.local/www/app/model/modx/modprocessor.class.php : 177) Flat file processor support, used for action export with path /Applications/MAMP/htdocs/work/catalog.local/www/app/components/catalogfill/processors/mgr/export.php, is deprecated since version 2.7.0.

    Не выгружается поле: description

  • @vikotriyaz

    Не выгружается поле: description

    В конфиге нужно убрать это поле из значений параметра "imp_content_default". Для экспорта нужно создать отдельный конфиг. Если не поможет, покажите конфиг.

    Ошибку видите в журнале ошибок, но при этом всё работает? Если так, в настройках системы нужно отключить "log_deprecated".

 

Последние комментарии

  • У меня почему то не получилось прикрутить эту штуку.

    Что конкретно не получилось? Какие-то ошибки?

    Там вроде как зависимость от компонента http://angular-ui.github.io/bootstrap/
    Но вроде он и используется, но, возможно, какая-то старая версия.

    Читать далее
  • N

    @Andchir Спасибо, но это немного не то.
    Задача такая - менеджер должен выставлять промежуток времени, когда клиенту удобно принять доставку.
    Т.е. надо прикрутить что то типа этого https://rgkevin.github.io/datetimeRangePicker/#/home
    Чтобы можно было выбирать и вилку дней и промежуток по времени.
    У меня почему то не получилось прикрутить эту штуку.

    По сохранению сложностей не возникло, т.е. проблема только с UI

    Читать далее
  • https://github.com/andchir/shopkeeper3/blob/master/core/components/shopkeeper3/templates/home.tpl
    Шаблон редактирования заказа здесь обозначен комментарием

    <!-- order_edit -->

    Нужно добавить поле в форму. Пример:

    <input type="date" ng-model="data.order.date">

    В "ng-model" указывается имя поля в заказе.
    Если это новое поле, то сохранять его нужно здесь
    https://github.com/andchir/shopkeeper3/blob/master/core/components/shopkeeper3/processors/mgr/saveorder.class.php

    Читать далее
  • N

    @Andchir извиняюсь, забыл что не на битве экстрасенсов)
    Версия старенькая - 3.2.5-pl. С таким количеством нововведений обновлять просто уже нельзя.

    Читать далее